package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.model.PagingBaseModel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/8/22 11:19
 * @Description:
 **/
public class RankSearchModel extends PagingBaseModel{

    private String classify;//分类
    private String category;//类别
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date dateFrom;//起始日期
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date dateTo;//结束日期
    private String catelogType;//资源分类：主题/部门/....

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public Date getDateFrom() {
        return dateFrom;
    }

    public void setDateFrom(Date dateFrom) {
        this.dateFrom = dateFrom;
    }

    public Date getDateTo() {
        return dateTo;
    }

    public void setDateTo(Date dateTo) {
        this.dateTo = dateTo;
    }
}
